/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <geofence_manager.h>

#if !defined(_DATA_H)
#define _DATA_H

#define METHOD_GPS   0
#define METHOD_WIFI  1
#define METHOD_BT    2

#define MAX_COUNT 100

#define LATITUDE  12.98025
#define LONGITUDE 77.69773
#define BSSID     "88:30:8a:6c:28:15"

typedef struct appdata {
	int place_id[MAX_COUNT];
	int fence_id[MAX_COUNT];

	geofence_manager_h geo_manager;
} appdata_s;

/*
 * Initialize the data component.
 */
void data_initialize(appdata_s *ad);

/*
 * Finalize the data component.
 */
void data_finalize(appdata_s *ad);

#endif
