/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "data.h"

/**
 * @brief Initialization function for data module.
 */
void data_initialize(appdata_s *ad)
{
	/*
	 * Initialize application data.
	 */
	int i = 0;

	for (i = 0; i < MAX_COUNT; i++) {
		ad->place_id[i] = -1;
		ad->fence_id[i] = -1;
	}
	ad->geo_manager = NULL;
}

/**
 * @brief Finalization function for data module.
 */
void data_finalize(appdata_s *ad)
{
	/*
	 * If you need to finalize application data,
	 * please use this function.
	 */
	ad->geo_manager = NULL;
}
